Bug 183494 - [webkitpy] Remove openssl command dependency.
Summary: [webkitpy] Remove openssl command dependency.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Basuke Suzuki
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-08 20:10 PST by Basuke Suzuki
Modified: 2018-03-12 11:06 PDT (History)
11 users (show)

See Also:


Attachments
PATCH (16.48 KB, patch)
2018-03-09 13:31 PST, Basuke Suzuki
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-sierra-wk2 (2.87 MB, application/zip)
2018-03-09 14:19 PST, Build Bot
no flags Details
Archive of layout-test-results from ews103 for mac-sierra (2.26 MB, application/zip)
2018-03-09 14:32 PST, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-sierra (2.94 MB, application/zip)
2018-03-09 15:06 PST, Build Bot
no flags Details
Archive of layout-test-results from ews205 for win-future (12.03 MB, application/zip)
2018-03-09 15:27 PST, Build Bot
no flags Details
PATCH (17.55 KB, patch)
2018-03-09 16:04 PST, Basuke Suzuki
rniwa: review+
rniwa: commit-queue-
Details | Formatted Diff | Diff
FIX STYLE (17.53 KB, patch)
2018-03-12 10:21 PDT, Basuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Basuke Suzuki 2018-03-08 20:10:49 PST
To launch websocket server, current implementation uses openssl command. The command is not available by default in Windows. Also what the command actually does is to separate the pem file into two parts. The source PEM file was not changed since it initially imported to the repository. I don't see any reason we can switch to simple text manipulation for this task.
Comment 1 Basuke Suzuki 2018-03-09 13:31:49 PST
Created attachment 335454 [details]
PATCH
Comment 2 Build Bot 2018-03-09 14:19:42 PST
Comment on attachment 335454 [details]
PATCH

Attachment 335454 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/6881995

New failing tests:
http/tests/websocket/tests/hybi/simple-wss.html
http/tests/websocket/tests/hybi/secure-cookie-secure-connection.pl
Comment 3 Build Bot 2018-03-09 14:19:43 PST
Created attachment 335462 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 4 Build Bot 2018-03-09 14:32:40 PST
Comment on attachment 335454 [details]
PATCH

Attachment 335454 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6882362

New failing tests:
http/tests/websocket/tests/hybi/simple-wss.html
http/tests/websocket/tests/hybi/secure-cookie-secure-connection.pl
Comment 5 Build Bot 2018-03-09 14:32:41 PST
Created attachment 335465 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-03-09 15:06:18 PST
Comment on attachment 335454 [details]
PATCH

Attachment 335454 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6882518

New failing tests:
http/tests/websocket/tests/hybi/simple-wss.html
http/tests/websocket/tests/hybi/secure-cookie-secure-connection.pl
Comment 7 Build Bot 2018-03-09 15:06:19 PST
Created attachment 335469 [details]
Archive of layout-test-results from ews115 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 8 Build Bot 2018-03-09 15:27:16 PST
Comment on attachment 335454 [details]
PATCH

Attachment 335454 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/6882915

New failing tests:
http/tests/websocket/tests/hybi/simple-wss.html
http/tests/websocket/tests/hybi/secure-cookie-secure-connection.pl
Comment 9 Build Bot 2018-03-09 15:27:27 PST
Created attachment 335477 [details]
Archive of layout-test-results from ews205 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews205  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 10 Basuke Suzuki 2018-03-09 16:04:37 PST
Created attachment 335482 [details]
PATCH
Comment 11 Ryosuke Niwa 2018-03-09 16:57:30 PST
Comment on attachment 335482 [details]
PATCH

View in context: https://bugs.webkit.org/attachment.cgi?id=335482&action=review

> Tools/Scripts/webkitpy/port/base.py:1015
> +                            use_tls=True, port=websocket_server.PyWebSocket.DEFAULT_WSS_PORT, private_key=private_key_file, certificate=certificate_file)

Nit: Wrong indentation. Always use 4 spaces.
Comment 12 Ryosuke Niwa 2018-03-09 16:57:44 PST
Comment on attachment 335482 [details]
PATCH

I meant cq-.
Comment 13 Basuke Suzuki 2018-03-12 10:21:01 PDT
Created attachment 335604 [details]
FIX STYLE
Comment 14 Basuke Suzuki 2018-03-12 10:21:53 PDT
(In reply to Ryosuke Niwa from comment #11)
> Comment on attachment 335482 [details]
> PATCH
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=335482&action=review
> 
> > Tools/Scripts/webkitpy/port/base.py:1015
> > +                            use_tls=True, port=websocket_server.PyWebSocket.DEFAULT_WSS_PORT, private_key=private_key_file, certificate=certificate_file)
> 
> Nit: Wrong indentation. Always use 4 spaces.

Thanks for review. I fixed it.
Comment 15 WebKit Commit Bot 2018-03-12 11:05:41 PDT
Comment on attachment 335604 [details]
FIX STYLE

Clearing flags on attachment: 335604

Committed r229541: <https://trac.webkit.org/changeset/229541>
Comment 16 WebKit Commit Bot 2018-03-12 11:05:43 PDT
All reviewed patches have been landed.  Closing bug.